Subject: Re: [extropy-chat] Recommendations for cognitive enhancement drugs?

From: Neil Halelamien <[email-masked]>
Date: Fri, 11 Mar 2005 13:05:50 -0800

On Fri, 11 Mar 2005 10:38:28 -0800 (PST), Ian Goddard
<[email-masked]> wrote:
> Neil Halelamien quiried:
> 
> > Does anybody have any recommendations regarding
> > drugs, nutritional supplements, and other methods
> > for cognitive/concentration enhancement? Have any
> > of you tried such items or know people who tried
> > them? I'm particularly interested in how effective
> > they are, their cost-effectiveness, and any side
> > effects.

Thanks for all the responses, and sorry about the delay! Natasha's
comments reminded me that I -really- need to clean up my room and get
rid of the (larger number of) distractions in my work environment.

I've also started reading more about some of the supplements that have
been suggested. Thanks again!

-- Neil
_______________________________________________
extropy-chat mailing list
[email-masked]
http://lists.extropy.org/mailman/listinfo/extropy-chat